using GestionIntegral.Api.Dtos;

namespace GestionIntegral.Api.Services.Usuarios
{
    public interface IAuthService
    {
        Task<LoginResponseDto?> LoginAsync(LoginRequestDto loginRequest);
        Task<bool> ChangePasswordAsync(int userId, ChangePasswordRequestDto changePasswordRequest);
    }
}